<template>
  <div class="register-box">
    <div>
      <h2>Nome:</h2>
      <p class="user-info">{{name}}</p>
      <br>
      <h2>Email:</h2>
      <p class="user-info">{{email}}</p>
    </div>
    <router-link to="/">
      <Button :action="sendRegistration" text="Registrar" buttonType="primaryAlt"/>
    </router-link>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
// import { HttpLink } from "apollo-link-http";
// import { ApolloClient } from "apollo-client";
// import { InMemoryCache } from "apollo-cache-inmemory";
import gql from "graphql-tag";
import { CREATE_PARTICIPANT_MUTATION } from "./graphql/mutations";
// import Vuex from "vue";

// const httpLink = new HttpLink({
//   uri: "http://localhost:3000/graphql"
// });

// const apolloClient = new ApolloClient({
//   link: httpLink,
//   cache: new InMemoryCache()
// });

export default Vue.extend({
  data() {
    return {
      name: "João",
      email: "joao@mail.br",
      id: "ac4ad",
      edition: "q87eq"
    };
  },

  // apollo: {},

  methods: {
    sendRegistration: function() {
      alert("Sucesso, cadastro efetuado");
      const userId = this.$data.id;
      const editionId = this.$data.edition;
      console.log(userId);
      this.$apollo.mutate({
        mutation: CREATE_PARTICIPANT_MUTATION,
        variables: {
          userId,
          editionId,
          role: "registered"
        }
      });
    }
  }
});
</script>


<style>
.register-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-decoration: none;
}

.user-info {
  padding: 10px;
}
</style>